package com.its.vms.entity;

import com.its.vms.dto.TbVmsAtmpDto;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 *  Entity Class
 */
@Data
@Builder
@NoArgsConstructor//(access = AccessLevel.PROTECTED)
@AllArgsConstructor
public class TbVmsAtmp implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long atmpSttnNmbr;
    private String atmpSttnNm;
    private String vmsDispNm;
    private String delYn;

    private String msrmDt;
    private String msrmSystNm;
    private String coVal;
    private String so2Val;
    private String no2Val;
    private String o3Val;
    private String pm10Val;
    private String pm1024hhVal;
    private String pm25Val;
    private String pm2524hhVal;
    private String intgAtmpVal;
    private String intgAtmpGrad;
    private String so2Grad;
    private String coGrad;
    private String o3Grad;
    private String no2Grad;
    private String pm1024hhGrad;
    private String pm2524hhGrad;
    private String pm101hhGrad;
    private String pm251hhGrad;
    private String updtDt;

    public TbVmsAtmpDto toDto() {
        return TbVmsAtmpDto.builder()
                .atmpSttnNmbr(this.atmpSttnNmbr)
                .atmpSttnNm(this.atmpSttnNm)
                .vmsDispNm(this.vmsDispNm)
                .delYn(this.delYn)
                .msrmDt(this.msrmDt)
                .msrmSystNm(this.msrmSystNm)
                .coVal(this.coVal)
                .so2Val(this.so2Val)
                .no2Val(this.no2Val)
                .o3Val(this.o3Val)
                .pm10Val(this.pm10Val)
                .pm1024hhVal(this.pm1024hhVal)
                .pm25Val(this.pm25Val)
                .pm2524hhVal(this.pm2524hhVal)
                .intgAtmpVal(this.intgAtmpVal)
                .intgAtmpGrad(this.intgAtmpGrad)
                .so2Grad(this.so2Grad)
                .coGrad(this.coGrad)
                .o3Grad(this.o3Grad)
                .no2Grad(this.no2Grad)
                .pm1024hhGrad(this.pm1024hhGrad)
                .pm2524hhGrad(this.pm2524hhGrad)
                .pm101hhGrad(this.pm101hhGrad)
                .pm251hhGrad(this.pm251hhGrad)
                .updtDt(this.updtDt)
                .isSuccess(true)
                .build();
    }

}
